• Русский
  • DownloadRequest [velero.io/v1]

    Description
    DownloadRequest is a request to download an artifact from backup object storage, such as a backup log file.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    DownloadRequestSpec is the specification for a download request.

    statusobject

    DownloadRequestStatus is the current status of a DownloadRequest.

    .spec

    Description
    DownloadRequestSpec is the specification for a download request.
    Type
    object
    Required
    target
    PropertyTypeDescription
    targetobject

    Target is what to download (e.g. logs for a backup).

    .spec.target

    Description
    Target is what to download (e.g. logs for a backup).
    Type
    object
    Required
    kindname
    PropertyTypeDescription
    kindstring

    Kind is the type of file to download.

    namestring

    Name is the name of the Kubernetes resource with which the file is associated.

    .status

    Description
    DownloadRequestStatus is the current status of a DownloadRequest.
    Type
    object
    PropertyTypeDescription
    downloadURLstring

    DownloadURL contains the pre-signed URL for the target file.

    expirationstring

    Expiration is when this DownloadRequest expires and can be deleted by the system.

    phasestring

    Phase is the current state of the DownloadRequest.

    API Endpoints

    The following API endpoints are available:

    • /apis/velero.io/v1/namespaces/{namespace}/downloadrequests
      • DELETE: delete collection of DownloadRequest
      • GET: list objects of kind DownloadRequest
      • POST: create a new DownloadRequest
    • /apis/velero.io/v1/namespaces/{namespace}/downloadrequests/{name}
      • DELETE: delete the specified DownloadRequest
      • GET: read the specified DownloadRequest
      • PATCH: partially update the specified DownloadRequest
      • PUT: replace the specified DownloadRequest
    • /apis/velero.io/v1/namespaces/{namespace}/downloadrequests/{name}/status
      • GET: read status of the specified DownloadRequest
      • PATCH: partially update status of the specified DownloadRequest
      • PUT: replace status of the specified DownloadRequest

    /apis/velero.io/v1/namespaces/{namespace}/downloadrequests

    HTTP method
    DELETE
    Description
    delete collection of DownloadRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind DownloadRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequestList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new DownloadRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDownloadRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequest schema
    201 - CreatedDownloadRequest schema
    202 - AcceptedDownloadRequest schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/downloadrequests/{name}

    HTTP method
    DELETE
    Description
    delete the specified DownloadRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified DownloadRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified DownloadRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified DownloadRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDownloadRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequest schema
    201 - CreatedDownloadRequest schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/downloadrequests/{name}/status

    HTTP method
    GET
    Description
    read status of the specified DownloadRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified DownloadRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified DownloadRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyDownloadRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKDownloadRequest schema
    201 - CreatedDownloadRequest schema
    401 - UnauthorizedEmpty